Subject: Method for Upgrade

From: David Schinazi <[email-masked]>
Date: Wed, 16 Mar 2022 11:20:34 -0700

Howdy HTTP Enthusiasts,

Over in MASQUE, we're defining a way to proxy UDP that's very similar to
CONNECT but for UDP instead of TCP [1]. For HTTP/2 and HTTP/3, we've landed
on using extended CONNECT (RFC 8441), and for HTTP/1.x we've landed on
using Upgrade. However, in HTTP/1.x the client still needs to send a method
and we're wondering which one was best: WebSocket uses GET but using
CONNECT would be more consistent with what we're doing with HTTP/2 and
HTTP/3. Does anyone have thoughts or opinions on this? Please respond to
this email or on the GitHub issue [2].

Thanks!
David

[1] https://datatracker.ietf.org/doc/html/draft-ietf-masque-connect-udp
[2]
https://github.com/ietf-wg-masque/draft-ietf-masque-connect-udp/issues/57